// This file was generated by qlalr - DO NOT EDIT!
#ifndef TABLE_LGCINPUTLEXERIO_P_H
#define TABLE_LGCINPUTLEXERIO_P_H

class Table_LGCInputLexerIO
{
public:
    enum VariousConstants {
        EOF_SYMBOL = 0,
        ALLFIXED = 24,
        APRI = 27,
        CALA = 71,
        CAM = 77,
        CAMD = 58,
        CAMUVD = 78,
        CAMUVEC = 79,
        CHABA = 28,
        COMMENTSTRING = 3,
        CONSI = 30,
        CONSILIBR = 31,
        COVAR = 29,
        DECIMAL = 6,
        DEFA = 32,
        DLEV = 81,
        DOLLAR = 8,
        DSPT = 80,
        DVER = 98,
        ECHO = 92,
        ECSP = 94,
        ECVE = 93,
        ECWI = 97,
        ECWS = 96,
        EDM = 59,
        END = 11,
        EOL_SYMBOL = 2,
        EREL = 33,
        ERELFRAME = 34,
        FAUT = 35,
        FIN = 12,
        FMTP = 36,
        FMTPCOL = 38,
        FMTPSEP = 37,
        FRAMEEND = 67,
        FRAMESTART = 66,
        FRSLAVE = 69,
        FR_KEYWORDS_END = 70,
        FR_KEYWORDS_START = 68,
        HIST = 39,
        HLSR = 64,
        INCL = 63,
        INCLY = 95,
        INSTR = 57,
        INTEGER = 5,
        JSON = 40,
        JSONCOVAR = 41,
        KEYWORDS_START = 9,
        LEP = 20,
        LEVEL = 60,
        MSRAC = 103,
        MSRACSE = 104,
        MSRACST = 105,
        MSRASE = 106,
        MSRCST = 107,
        MSRDCOR = 108,
        MSRDHOR = 109,
        MSRDSE = 110,
        MSRICSE = 111,
        MSRID = 101,
        MSRIH = 112,
        MSRIHFIX = 113,
        MSRIHSE = 114,
        MSRINSTR = 115,
        MSROBSE = 129,
        MSRPPM = 116,
        MSRPTLINE = 117,
        MSRREFPT = 118,
        MSRRF = 119,
        MSRRFSE = 120,
        MSRROT3D = 121,
        MSRSAGFIX = 122,
        MSRSAGSE = 123,
        MSRSCALE = 124,
        MSRTCSE = 125,
        MSRTH = 126,
        MSRTHSE = 127,
        MSRTRGT = 128,
        MSRWIID = 130,
        MSRWSID = 131,
        MSRWSSE = 132,
        MSRXICSE = 133,
        MSRXSE = 134,
        MSRYSE = 135,
        MSRZICSE = 136,
        MSRZSE = 137,
        MSR_KEYWORDS_END = 138,
        MSR_KEYWORDS_START = 102,
        NODUP = 42,
        OBSXYZ = 99,
        OLOC = 21,
        ORIE = 91,
        PDOR = 43,
        POIN = 72,
        POLAR = 61,
        PREC = 25,
        PRES = 44,
        PUNC = 45,
        PUNCE = 46,
        PUNCEE = 47,
        PUNCH = 48,
        PUNCHN = 51,
        PUNCHZ = 50,
        PUNCOUT1 = 54,
        PUNCOUT3 = 55,
        PUNCT = 53,
        PUNCZ = 49,
        PUNCZHN = 52,
        QUOTE = 7,
        RADI = 100,
        RS2K = 22,
        RX = 16,
        RY = 17,
        RZ = 18,
        SCALE = 62,
        SCL = 19,
        SIMU = 26,
        SOBS = 56,
        SPHE = 23,
        TITLE = 10,
        TSTN = 82,
        TSTNANGL = 84,
        TSTNDHOR = 85,
        TSTNDIST = 86,
        TSTNECDIR = 87,
        TSTNECTH = 88,
        TSTNPLR3D = 89,
        TSTNV0 = 83,
        TSTNZEND = 90,
        TX = 13,
        TY = 14,
        TZ = 15,
        UNKNOWN = 1,
        VXY = 73,
        VXZ = 74,
        VYZ = 75,
        VZ = 76,
        WORD = 4,
        WPSR = 65,

        ACCEPT_STATE = 5,
        RULE_COUNT = 771,
        STATE_COUNT = 1156,
        TERMINAL_COUNT = 139,
        NON_TERMINAL_COUNT = 368,

        GOTO_INDEX_OFFSET = 1156,
        GOTO_INFO_OFFSET = 2226,
        GOTO_CHECK_OFFSET = 2226
    };

    static const char *const     spell[];
    static const short             lhs[];
    static const short             rhs[];
    static const short    goto_default[];
    static const short  action_default[];
    static const short    action_index[];
    static const short     action_info[];
    static const short    action_check[];

    static inline int nt_action (int state, int nt)
    {
        const int yyn = action_index [GOTO_INDEX_OFFSET + state] + nt;
        if (yyn < 0 || action_check [GOTO_CHECK_OFFSET + yyn] != nt)
            return goto_default [nt];

        return action_info [GOTO_INFO_OFFSET + yyn];
    }

    static inline int t_action (int state, int token)
    {
        const int yyn = action_index [state] + token;

        if (yyn < 0 || action_check [yyn] != token)
            return - action_default [state];

        return action_info [yyn];
    }
};


#endif // TABLE_LGCINPUTLEXERIO_P_H

